.articles,.page-container {
    width: 720px;
}

.articles {
    margin: 60px auto 0 auto;
    min-height: 85vh;
}

.preview {
    width: 100%;
    background-color: #efefef;
    overflow: hidden;
    margin: 0 auto 30px auto;
}

.card {
    font-family: 'roboto',Arial, Helvetica, sans-serif;
    background-color: white;
    border-radius: 5px;
    box-shadow: 0 3px 7px -1px var(--grey-medium);
    position: relative;
    transition: 0.5s;
}.card:hover{
    box-shadow: 0 3px 7px -1px var(--grey-strong);
}

.article-image {
    width: 100%;
    height: 100%;
    z-index: 0;
    position: absolute;
}

.image-content {
    width: 100%;
    object-fit: cover;
}

.article-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: var(--dark-glass);
    position: relative;
}
.article-link {
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: var(--grey-light);
    text-shadow: 3px 3px 4px #333;
    padding: 40px;
}
.article-category {
    background-color: red;
    position: absolute;
    right: 10px;
    top: 0;
    text-shadow: none;
    padding: 3px;
    border-radius: 0 0 3px 3px;
    font-size: 12px;
}
.article-title {
    font-size: 32px;
    font-weight: 600;
    padding: 10px 0;
}
.article-date {
    font-size: 13px;
    margin-bottom: 7px;
}
.article-description {
    font-size: 15px;
    line-height: 1.3;
}

.page-container{
    display: flex;
    justify-content: space-evenly;
    padding: 10px 0;
    margin: 10px auto;
}

.page-btn{
    text-decoration: none;
    font-weight: 600;
    padding: 5px;
    border-radius: 5px;
    transition: 0.3s;
}
.btn-disabled{
    cursor: default;
    color: var(--grey-medium);
}
.btn-enabled {
    color: var(--text-default);
}
.btn-enabled:hover{
    color: var(--cool-blue);
}

@media(max-width: 900px) {
    .articles,.page-container{
        width: 580px;
    }
}
@media(max-width: 600px) {
    .articles,.page-container{
        width: 95%;
    }
    .article-link{
        padding: 20px;
    }
}
@media(max-width: 450px) {
    .image-content {
        height: 100%;
    }
}